Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLab.AdvancedOptimizationFrontend.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.AdvancedOptimizationFrontend</RootNamespace>
-    <AssemblyName>HeuristicLab.AdvancedOptimizationFrontend</AssemblyName>
+    <AssemblyName>HeuristicLab.AdvancedOptimizationFrontend-3.2</AssemblyName>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.AdvancedOptimizationFrontend.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.AdvancedOptimizationFrontend-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.AdvancedOptimizationFrontend.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.AdvancedOptimizationFrontend-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/HeuristicLabAdvancedOptimizationFrontendPlugin.cs	(revision 582)
@@ -27,9 +27,9 @@
 
 namespace HeuristicLab.AdvancedOptimizationFrontend {
-  [ClassInfo(Name = "HeuristicLab.AdvancedOptimizationFrontend")]
-  [PluginFile(Filename = "HeuristicLab.AdvancedOptimizationFrontend.dll", Filetype = PluginFileType.Assembly)]
+  [ClassInfo(Name = "HeuristicLab.AdvancedOptimizationFrontend-3.2")]
+  [PluginFile(Filename = "HeuristicLab.AdvancedOptimizationFrontend-3.2.dll", Filetype = PluginFileType.Assembly)]
   [PluginFile(Filename = "WeifenLuo.WinFormsUI.Docking.dll", Filetype = PluginFileType.Assembly)]
   [PluginFile(Filename = "WeifenLuo.WinFormsUI.Docking License.txt", Filetype = PluginFileType.License)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabAdvancedOptimizationFrontendPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj
===================================================================
--- /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.BitVector/HeuristicLab.BitVector.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.BitVector</RootNamespace>
-    <AssemblyName>HeuristicLab.BitVector</AssemblyName>
+    <AssemblyName>HeuristicLab.BitVector-3.2</AssemblyName>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.BitVector.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.BitVector-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.BitVector.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.BitVector-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.BitVector/HeuristicLabBitVectorPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.BitVector/HeuristicLabBitVectorPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.BitVector/HeuristicLabBitVectorPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.BitVector {
-  [ClassInfo(Name = "HeuristicLab.BitVector")]
-  [PluginFile(Filename = "HeuristicLab.BitVector.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary")]
+  [ClassInfo(Name = "HeuristicLab.BitVector-3.2")]
+  [PluginFile(Filename = "HeuristicLab.BitVector-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
   public class HeuristicLabBitVectorPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLab.CEDMA.Charting.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.Charting</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.Charting</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.Charting-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLabCedmaChartingPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLabCedmaChartingPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Charting/HeuristicLabCedmaChartingPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.CEDMA.Charting {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.Charting")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.Charting.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Charting")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces")]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.Charting-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.Charting-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Charting-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
   public class HeuristicLabCedmaCorePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.Core</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.Core</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.Core-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLabCedmaCorePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLabCedmaCorePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Core/HeuristicLabCedmaCorePlugin.cs	(revision 582)
@@ -26,10 +26,10 @@
 
 namespace HeuristicLab.CEDMA.Core {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.Core")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.Core.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.Charting")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.Core-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.Core-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.Charting-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabCedmaCorePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLab.CEDMA.DB.Interfaces.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.DB.Interfaces</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.DB.Interfaces</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.DB.Interfaces-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLabCedmaDbInterfacesPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLabCedmaDbInterfacesPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/HeuristicLabCedmaDbInterfacesPlugin.cs	(revision 582)
@@ -26,6 +26,6 @@
 
 namespace HeuristicLab.CEDMA.DB.Interfaces {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.DB.Interfaces")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.DB.Interfaces.dll", Filetype = PluginFileType.Assembly)]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.DB.Interfaces-3.2.dll", Filetype = PluginFileType.Assembly)]
   public class HeuristicLabCedmaDbInterfacesPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLab.CEDMA.DB.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.DB</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.DB</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.DB-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.DB/HeuristicLabCedmaDbPlugin.cs	(revision 582)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.CEDMA.DB {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.DB")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.DB.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.SQLite")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces")]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.DB-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.DB-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.SQLite-3.2")]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
   public class HeuristicLabCedmaDbPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLab.CEDMA.Operators.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.Operators</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.Operators</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.Operators-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLabCedmaOperatorsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLabCedmaOperatorsPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Operators/HeuristicLabCedmaOperatorsPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.CEDMA.Operators {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.Operators")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.Operators.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.Operators-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.Operators-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   public class HeuristicLabCedmaOperatorsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLab.CEDMA.Server.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.CEDMA.Server</RootNamespace>
-    <AssemblyName>HeuristicLab.CEDMA.Server</AssemblyName>
+    <AssemblyName>HeuristicLab.CEDMA.Server-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLabCedmaServerPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLabCedmaServerPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.CEDMA.Server/HeuristicLabCedmaServerPlugin.cs	(revision 582)
@@ -26,11 +26,11 @@
 
 namespace HeuristicLab.CEDMA.Server {
-  [ClassInfo(Name = "HeuristicLab.CEDMA.Server")]
-  [PluginFile(Filename = "HeuristicLab.CEDMA.Server.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces")]
-  [Dependency(Dependency = "HeuristicLab.CEDMA.DB")]
-  [Dependency(Dependency = "HeuristicLab.Grid")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
+  [ClassInfo(Name = "HeuristicLab.CEDMA.Server-3.2")]
+  [PluginFile(Filename = "HeuristicLab.CEDMA.Server-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB.Interfaces-3.2")]
+  [Dependency(Dependency = "HeuristicLab.CEDMA.DB-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Grid-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   public class HeuristicLabCedmaServerPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Charting.Data/HeuristicLab.Charting.Data.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Charting.Data</RootNamespace>
-    <AssemblyName>HeuristicLab.Charting.Data</AssemblyName>
+    <AssemblyName>HeuristicLab.Charting.Data-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -36,5 +36,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Charting.Data.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Charting.Data-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -49,5 +49,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Charting.Data.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Charting.Data-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Charting.Data/HeuristicLabChartingDataPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Charting.Data/HeuristicLabChartingDataPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Charting.Data/HeuristicLabChartingDataPlugin.cs	(revision 582)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Charting.Data {
-  [ClassInfo(Name = "HeuristicLab.Charting.Data")]
-  [PluginFile(Filename = "HeuristicLab.Charting.Data.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Charting")]
+  [ClassInfo(Name = "HeuristicLab.Charting.Data-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Charting.Data-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Charting-3.2")]
   public class HeuristicLabChartingDataPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Charting/HeuristicLab.Charting.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Charting</RootNamespace>
-    <AssemblyName>HeuristicLab.Charting</AssemblyName>
+    <AssemblyName>HeuristicLab.Charting-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -36,5 +36,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Charting.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Charting-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -49,5 +49,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Charting.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Charting-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Charting/HeuristicLabChartingPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Charting/HeuristicLabChartingPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Charting/HeuristicLabChartingPlugin.cs	(revision 582)
@@ -26,6 +26,6 @@
 
 namespace HeuristicLab.Charting {
-  [ClassInfo(Name = "HeuristicLab.Charting")]
-  [PluginFile(Filename = "HeuristicLab.Charting.dll", Filetype = PluginFileType.Assembly)]
+  [ClassInfo(Name = "HeuristicLab.Charting-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Charting-3.2.dll", Filetype = PluginFileType.Assembly)]
   public class HeuristicLabChartingPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Constraints/HeuristicLab.Constraints.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Constraints</RootNamespace>
-    <AssemblyName>HeuristicLab.Constraints</AssemblyName>
+    <AssemblyName>HeuristicLab.Constraints-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -34,5 +34,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Constraints.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Constraints-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -47,5 +47,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Constraints.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Constraints-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Constraints/HeuristicLabConstraintsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Constraints/HeuristicLabConstraintsPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Constraints/HeuristicLabConstraintsPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Constraints {
-  [ClassInfo(Name = "HeuristicLab.Constraints")]
-  [PluginFile(Filename = "HeuristicLab.Constraints.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Constraints-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Constraints-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabConstraintsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Core/HeuristicLab.Core.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Core</RootNamespace>
-    <AssemblyName>HeuristicLab.Core</AssemblyName>
+    <AssemblyName>HeuristicLab.Core-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -51,5 +51,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Core.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Core-3.2.XML</DocumentationFile>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
   </PropertyGroup>
@@ -65,5 +65,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Core.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Core-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Core/HeuristicLabCorePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/HeuristicLabCorePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Core/HeuristicLabCorePlugin.cs	(revision 582)
@@ -27,6 +27,6 @@
 
 namespace HeuristicLab.Core {
-  [ClassInfo(Name = "HeuristicLab.Core")]
-  [PluginFile(Filename = "HeuristicLab.Core.dll", Filetype = PluginFileType.Assembly)]
+  [ClassInfo(Name = "HeuristicLab.Core-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Core-3.2.dll", Filetype = PluginFileType.Assembly)]
   public class HeuristicLabCorePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Data/HeuristicLab.Data.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Data</RootNamespace>
-    <AssemblyName>HeuristicLab.Data</AssemblyName>
+    <AssemblyName>HeuristicLab.Data-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -51,5 +51,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Data.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Data-3.2.XML</DocumentationFile>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
   </PropertyGroup>
@@ -65,5 +65,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Data.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Data-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Data/HeuristicLabDataPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/HeuristicLabDataPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Data/HeuristicLabDataPlugin.cs	(revision 582)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Data {
-  [ClassInfo(Name = "HeuristicLab.Data")]
-  [PluginFile(Filename = "HeuristicLab.Data.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [ClassInfo(Name = "HeuristicLab.Data-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Data-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabDataPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj
===================================================================
--- /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLab.DataAnalysis.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.DataAnalysis</RootNamespace>
-    <AssemblyName>HeuristicLab.DataAnalysis</AssemblyName>
+    <AssemblyName>HeuristicLab.DataAnalysis-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.DataAnalysis.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.DataAnalysis-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.DataAnalysis.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.DataAnalysis-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLabDataAnalysisPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLabDataAnalysisPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.DataAnalysis/HeuristicLabDataAnalysisPlugin.cs	(revision 582)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.DataAnalysis {
-  [ClassInfo(Name = "HeuristicLab.DataAnalysis")]
-  [PluginFile(Filename = "HeuristicLab.DataAnalysis.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
+  [ClassInfo(Name = "HeuristicLab.DataAnalysis-3.2")]
+  [PluginFile(Filename = "HeuristicLab.DataAnalysis-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   public class HeuristicLabDataAnalysisPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLab.DistributedEngine.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.DistributedEngine</RootNamespace>
-    <AssemblyName>HeuristicLab.DistributedEngine</AssemblyName>
+    <AssemblyName>HeuristicLab.DistributedEngine-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -30,5 +30,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.DistributedEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.DistributedEngine-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -43,5 +43,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.DistributedEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.DistributedEngine-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLabDistributedEnginePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLabDistributedEnginePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.DistributedEngine/HeuristicLabDistributedEnginePlugin.cs	(revision 582)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.DistributedEngine {
-  [ClassInfo(Name = "HeuristicLab.DistributedEngine")]
-  [PluginFile(Filename = "HeuristicLab.DistributedEngine.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Grid")]
+  [ClassInfo(Name = "HeuristicLab.DistributedEngine-3.2")]
+  [PluginFile(Filename = "HeuristicLab.DistributedEngine-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Grid-3.2")]
   public class HeuristicLabDistributedEnginePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.ES/HeuristicLab.ES.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.ES</RootNamespace>
-    <AssemblyName>HeuristicLab.ES</AssemblyName>
+    <AssemblyName>HeuristicLab.ES-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.ES.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.ES-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.ES.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.ES-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.ES/HeuristicLabESPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ES/HeuristicLabESPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.ES/HeuristicLabESPlugin.cs	(revision 582)
@@ -26,15 +26,15 @@
 
 namespace HeuristicLab.ES {
-  [ClassInfo(Name = "HeuristicLab.ES")]
-  [PluginFile(Filename = "HeuristicLab.ES.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary")]
-  [Dependency(Dependency = "HeuristicLab.Logging")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Random")]
-  [Dependency(Dependency = "HeuristicLab.Selection")]
-  [Dependency(Dependency = "HeuristicLab.Selection.OffspringSelection")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine")]
+  [ClassInfo(Name = "HeuristicLab.ES-3.2")]
+  [PluginFile(Filename = "HeuristicLab.ES-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Selection.OffspringSelection-3.2")]
+  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
   public class HeuristicLabESPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Evolutionary/HeuristicLab.Evolutionary.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Evolutionary</RootNamespace>
-    <AssemblyName>HeuristicLab.Evolutionary</AssemblyName>
+    <AssemblyName>HeuristicLab.Evolutionary-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Evolutionary.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Evolutionary-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Evolutionary.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Evolutionary-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Evolutionary/HeuristicLabEvolutionaryPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Evolutionary/HeuristicLabEvolutionaryPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Evolutionary/HeuristicLabEvolutionaryPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Evolutionary {
-  [ClassInfo(Name = "HeuristicLab.Evolutionary")]
-  [PluginFile(Filename = "HeuristicLab.Evolutionary.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Evolutionary-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Evolutionary-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabEvolutionaryPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Functions/HeuristicLab.Functions.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Functions/HeuristicLab.Functions.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Functions/HeuristicLab.Functions.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Functions</RootNamespace>
-    <AssemblyName>HeuristicLab.Functions</AssemblyName>
+    <AssemblyName>HeuristicLab.Functions-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Functions.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Functions-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Functions.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Functions-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Functions/HeuristicLabFunctionsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Functions/HeuristicLabFunctionsPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Functions/HeuristicLabFunctionsPlugin.cs	(revision 582)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.Functions {
-  [ClassInfo(Name = "HeuristicLab.Functions")]
-  [PluginFile(Filename = "HeuristicLab.Functions.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Constraints")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Operators.Programmable")]
-  [Dependency(Dependency = "HeuristicLab.Random")]
+  [ClassInfo(Name = "HeuristicLab.Functions-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Functions-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Constraints-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators.Programmable-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
   public class HeuristicLabFunctionsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Grid/HeuristicLab.Grid.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Grid</RootNamespace>
-    <AssemblyName>HeuristicLab.Grid</AssemblyName>
+    <AssemblyName>HeuristicLab.Grid-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Grid.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Grid-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Grid.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Grid-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Grid/HeuristicLabGridPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Grid/HeuristicLabGridPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Grid/HeuristicLabGridPlugin.cs	(revision 582)
@@ -27,7 +27,7 @@
 
 namespace HeuristicLab.Grid {
-  [ClassInfo(Name = "HeuristicLab.Grid")]
-  [PluginFile(Filename = "HeuristicLab.Grid.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [ClassInfo(Name = "HeuristicLab.Grid-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Grid-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabGridPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Logging/HeuristicLab.Logging.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Logging</RootNamespace>
-    <AssemblyName>HeuristicLab.Logging</AssemblyName>
+    <AssemblyName>HeuristicLab.Logging-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Logging.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Logging-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Logging.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Logging-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Logging/HeuristicLabLoggingPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Logging/HeuristicLabLoggingPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Logging/HeuristicLabLoggingPlugin.cs	(revision 582)
@@ -26,11 +26,11 @@
 
 namespace HeuristicLab.Logging {
-  [ClassInfo(Name = "HeuristicLab.Logging")]
-  [PluginFile(Filename = "HeuristicLab.Logging.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Charting")]
-  [Dependency(Dependency = "HeuristicLab.Charting.Data")]
+  [ClassInfo(Name = "HeuristicLab.Logging-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Logging-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Charting-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Charting.Data-3.2")]
   public class HeuristicLabLoggingPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLab.Operators.Metaprogramming.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Operators.Metaprogramming</RootNamespace>
-    <AssemblyName>HeuristicLab.Operators.Metaprogramming</AssemblyName>
+    <AssemblyName>HeuristicLab.Operators.Metaprogramming-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLabOperatorsMetaprogrammingPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLabOperatorsMetaprogrammingPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Metaprogramming/HeuristicLabOperatorsMetaprogrammingPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Operators.Metaprogramming {
-  [ClassInfo(Name = "HeuristicLab.Operators.Metaprogramming")]
-  [PluginFile(Filename = "HeuristicLab.Operators.Metaprogramming.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Operators.Metaprogramming-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Operators.Metaprogramming-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabOperatorsMetaprogrammingPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLab.Operators.Programmable.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Operators.Programmable</RootNamespace>
-    <AssemblyName>HeuristicLab.Operators.Programmable</AssemblyName>
+    <AssemblyName>HeuristicLab.Operators.Programmable-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -34,5 +34,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Operators.Programmable.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Operators.Programmable-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -47,5 +47,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Operators.Programmable.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Operators.Programmable-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLabOperatorsProgrammablePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLabOperatorsProgrammablePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/HeuristicLabOperatorsProgrammablePlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Operators {
-  [ClassInfo(Name = "HeuristicLab.Operators.Programmable")]
-  [PluginFile(Filename = "HeuristicLab.Operators.Programmable.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Operators.Programmable-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Operators.Programmable-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabOperatorsProgrammablePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLab.Operators.Stopwatch.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Operators.Stopwatch</RootNamespace>
-    <AssemblyName>HeuristicLab.Operators.Stopwatch</AssemblyName>
+    <AssemblyName>HeuristicLab.Operators.Stopwatch-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
Index: /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLabOperatorsStopwatchPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLabOperatorsStopwatchPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators.Stopwatch/HeuristicLabOperatorsStopwatchPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Operators.Stopwatch {
-  [ClassInfo(Name = "HeuristicLab.Operators.Stopwatch")]
-  [PluginFile(Filename = "HeuristicLab.Operators.Stopwatch.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Operators.Stopwatch-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Operators.Stopwatch-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabOperatorsStopwatchPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators/HeuristicLab.Operators.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Operators</RootNamespace>
-    <AssemblyName>HeuristicLab.Operators</AssemblyName>
+    <AssemblyName>HeuristicLab.Operators-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -36,5 +36,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Operators.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Operators-3.2.XML</DocumentationFile>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
   </PropertyGroup>
@@ -50,5 +50,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Operators.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Operators-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Operators/HeuristicLabOperatorsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators/HeuristicLabOperatorsPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Operators/HeuristicLabOperatorsPlugin.cs	(revision 582)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.Operators {
-  [ClassInfo(Name = "HeuristicLab.Operators")]
-  [PluginFile(Filename = "HeuristicLab.Operators.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
+  [ClassInfo(Name = "HeuristicLab.Operators-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Operators-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   public class HeuristicLabOperatorsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj
===================================================================
--- /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLab.OptimizationFrontend.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.OptimizationFrontend</RootNamespace>
-    <AssemblyName>HeuristicLab.OptimizationFrontend</AssemblyName>
+    <AssemblyName>HeuristicLab.OptimizationFrontend-3.2</AssemblyName>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.OptimizationFrontend.xml</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.OptimizationFrontend-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.OptimizationFrontend.xml</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.OptimizationFrontend-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLabOptimizationFrontendPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLabOptimizationFrontendPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.OptimizationFrontend/HeuristicLabOptimizationFrontendPlugin.cs	(revision 582)
@@ -27,7 +27,7 @@
 
 namespace HeuristicLab.OptimizationFrontend {
-  [ClassInfo(Name = "HeuristicLab.OptimizationFrontend")]
-  [PluginFile(Filename = "HeuristicLab.OptimizationFrontend.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [ClassInfo(Name = "HeuristicLab.OptimizationFrontend-3.2")]
+  [PluginFile(Filename = "HeuristicLab.OptimizationFrontend-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabOptimizationFrontendPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Permutation/HeuristicLab.Permutation.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Permutation</RootNamespace>
-    <AssemblyName>HeuristicLab.Permutation</AssemblyName>
+    <AssemblyName>HeuristicLab.Permutation-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Permutation.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Permutation-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Permutation.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Permutation-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Permutation/HeuristicLabPermutationPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Permutation/HeuristicLabPermutationPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Permutation/HeuristicLabPermutationPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Permutation {
-  [ClassInfo(Name = "HeuristicLab.Permutation")]
-  [PluginFile(Filename = "HeuristicLab.Permutation.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary")]
+  [ClassInfo(Name = "HeuristicLab.Permutation-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Permutation-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
   public class HeuristicLabRandomPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Random/HeuristicLab.Random.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Random</RootNamespace>
-    <AssemblyName>HeuristicLab.Random</AssemblyName>
+    <AssemblyName>HeuristicLab.Random-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -36,5 +36,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Random.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Random-3.2.XML</DocumentationFile>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
   </PropertyGroup>
@@ -50,5 +50,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Random.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Random-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Random/HeuristicLabRandomPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Random/HeuristicLabRandomPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Random/HeuristicLabRandomPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Random {
-  [ClassInfo(Name = "HeuristicLab.Random")]
-  [PluginFile(Filename = "HeuristicLab.Random.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Random-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Random-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabRandomPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj
===================================================================
--- /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.RealVector/HeuristicLab.RealVector.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.RealVector</RootNamespace>
-    <AssemblyName>HeuristicLab.RealVector</AssemblyName>
+    <AssemblyName>HeuristicLab.RealVector-3.2</AssemblyName>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.RealVector.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.RealVector-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.RealVector.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.RealVector-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.RealVector/HeuristicLabRealVectorPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.RealVector/HeuristicLabRealVectorPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.RealVector/HeuristicLabRealVectorPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.RealVector {
-  [ClassInfo(Name = "HeuristicLab.RealVector")]
-  [PluginFile(Filename = "HeuristicLab.RealVector.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Evolutionary")]
+  [ClassInfo(Name = "HeuristicLab.RealVector-3.2")]
+  [PluginFile(Filename = "HeuristicLab.RealVector-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Evolutionary-3.2")]
   public class HeuristicLabRealVectorPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLab.Routing.TSP.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Routing.TSP</RootNamespace>
-    <AssemblyName>HeuristicLab.Routing.TSP</AssemblyName>
+    <AssemblyName>HeuristicLab.Routing.TSP-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -36,5 +36,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Routing.TSP.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Routing.TSP-3.2.XML</DocumentationFile>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
   </PropertyGroup>
@@ -50,5 +50,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Routing.TSP.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Routing.TSP-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLabRoutingTSPPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLabRoutingTSPPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Routing.TSP/HeuristicLabRoutingTSPPlugin.cs	(revision 582)
@@ -26,11 +26,11 @@
 
 namespace HeuristicLab.Routing.TSP {
-  [ClassInfo(Name = "HeuristicLab.Routing.TSP")]
-  [PluginFile(Filename = "HeuristicLab.Routing.TSP.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Permutation")]
-  [Dependency(Dependency = "HeuristicLab.Charting")]
+  [ClassInfo(Name = "HeuristicLab.Routing.TSP-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Routing.TSP-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Permutation-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Charting-3.2")]
   public class HeuristicLabRoutingTSPPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.SGA/HeuristicLab.SGA.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.SGA</RootNamespace>
-    <AssemblyName>HeuristicLab.SGA</AssemblyName>
+    <AssemblyName>HeuristicLab.SGA-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -34,5 +34,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.SGA.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SGA-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -47,5 +47,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.SGA.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SGA-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.SGA/HeuristicLabSGAPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.SGA/HeuristicLabSGAPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.SGA/HeuristicLabSGAPlugin.cs	(revision 582)
@@ -26,13 +26,13 @@
 
 namespace HeuristicLab.SGA {
-  [ClassInfo(Name = "HeuristicLab.SGA")]
-  [PluginFile(Filename = "HeuristicLab.SGA.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Random")]
-  [Dependency(Dependency = "HeuristicLab.Selection")]
-  [Dependency(Dependency = "HeuristicLab.Logging")]
-  [Dependency(Dependency = "HeuristicLab.SequentialEngine")]
+  [ClassInfo(Name = "HeuristicLab.SGA-3.2")]
+  [PluginFile(Filename = "HeuristicLab.SGA-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Logging-3.2")]
+  [Dependency(Dependency = "HeuristicLab.SequentialEngine-3.2")]
   public class HeuristicLabSGAPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.SQLite/HeuristicLab.SQLite.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.SQLite</RootNamespace>
-    <AssemblyName>HeuristicLab.SQLite</AssemblyName>
+    <AssemblyName>HeuristicLab.SQLite-3.2</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.SQLite.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SQLite-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.SQLite.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SQLite-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.SQLite/HeuristicLabSQLitePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.SQLite/HeuristicLabSQLitePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.SQLite/HeuristicLabSQLitePlugin.cs	(revision 582)
@@ -26,6 +26,6 @@
 
 namespace HeuristicLab.SQLite {
-  [ClassInfo(Name = "HeuristicLab.SQLite")]
-  [PluginFile(Filename = "HeuristicLab.SQLite.dll", Filetype = PluginFileType.Assembly)]
+  [ClassInfo(Name = "HeuristicLab.SQLite-3.2")]
+  [PluginFile(Filename = "HeuristicLab.SQLite-3.2.dll", Filetype = PluginFileType.Assembly)]
   [PluginFile(Filename = "System.Data.SQLite.dll", Filetype = PluginFileType.Assembly)]
   [PluginFile(Filename = "SQLite License.txt", Filetype = PluginFileType.License)]
Index: /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLab.Scheduling.JSSP.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Scheduling.JSSP</RootNamespace>
-    <AssemblyName>HeuristicLab.Scheduling.JSSP</AssemblyName>
+    <AssemblyName>HeuristicLab.Scheduling.JSSP-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -51,5 +51,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.Scheduling.JSSP.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Scheduling.JSSP-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -64,5 +64,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Scheduling.JSSP.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Scheduling.JSSP-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLabJSSPPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLabJSSPPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Scheduling.JSSP/HeuristicLabJSSPPlugin.cs	(revision 582)
@@ -26,10 +26,10 @@
 
 namespace HeuristicLab.Scheduling.JSSP {
-  [ClassInfo(Name = "HeuristicLab.Scheduling.JSSP")]
-  [PluginFile(Filename = "HeuristicLab.Scheduling.JSSP.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Permutation")]
+  [ClassInfo(Name = "HeuristicLab.Scheduling.JSSP-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Scheduling.JSSP-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Permutation-3.2")]
   public class HeuristicLabSchedulingJSPPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLab.Selection.OffspringSelection.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Selection.OffspringSelection</RootNamespace>
-    <AssemblyName>HeuristicLab.Selection.OffspringSelection</AssemblyName>
+    <AssemblyName>HeuristicLab.Selection.OffspringSelection-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Selection.OffspringSelection.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Selection.OffspringSelection-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Selection.OffspringSelection.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Selection.OffspringSelection-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/HeuristicLabSelectionOffspringSelectionPlugin.cs	(revision 582)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.Selection.OffspringSelection {
-  [ClassInfo(Name = "HeuristicLab.Selection.OffspringSelection")]
-  [PluginFile(Filename = "HeuristicLab.Selection.OffspringSelection.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
+  [ClassInfo(Name = "HeuristicLab.Selection.OffspringSelection-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Selection.OffspringSelection-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
   public class HeuristicLabSelectionOffspringSelectionPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.Selection/HeuristicLab.Selection.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.Selection</RootNamespace>
-    <AssemblyName>HeuristicLab.Selection</AssemblyName>
+    <AssemblyName>HeuristicLab.Selection-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.Selection.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Selection-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.Selection.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.Selection-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.Selection/HeuristicLabSelectionPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Selection/HeuristicLabSelectionPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.Selection/HeuristicLabSelectionPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Selection {
-  [ClassInfo(Name = "HeuristicLab.Selection")]
-  [PluginFile(Filename = "HeuristicLab.Selection.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.Selection-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Selection-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabSelectionPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLab.SequentialEngine.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.SequentialEngine</RootNamespace>
-    <AssemblyName>HeuristicLab.SequentialEngine</AssemblyName>
+    <AssemblyName>HeuristicLab.SequentialEngine-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.SequentialEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SequentialEngine-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.SequentialEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.SequentialEngine-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLabSequentialEnginePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLabSequentialEnginePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.SequentialEngine/HeuristicLabSequentialEnginePlugin.cs	(revision 582)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.SequentialEngine {
-  [ClassInfo(Name = "HeuristicLab.SequentialEngine")]
-  [PluginFile(Filename = "HeuristicLab.SequentialEngine.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [ClassInfo(Name = "HeuristicLab.SequentialEngine-3.2")]
+  [PluginFile(Filename = "HeuristicLab.SequentialEngine-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabSequentialEnginePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLab.StructureIdentification.csproj
===================================================================
--- /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLab.StructureIdentification.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLab.StructureIdentification.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.StructureIdentification</RootNamespace>
-    <AssemblyName>HeuristicLab.StructureIdentification</AssemblyName>
+    <AssemblyName>HeuristicLab.StructureIdentification-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.StructureIdentification.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.StructureIdentification-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.StructureIdentification.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.StructureIdentification-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLabStructureIdentificationPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLabStructureIdentificationPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.StructureIdentification/HeuristicLabStructureIdentificationPlugin.cs	(revision 582)
@@ -26,14 +26,14 @@
 
 namespace HeuristicLab.StructureIdentification {
-  [ClassInfo(Name = "HeuristicLab.StructureIdentification")]
-  [PluginFile(Filename = "HeuristicLab.StructureIdentification.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Constraints")]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.DataAnalysis")]
-  [Dependency(Dependency = "HeuristicLab.Functions")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
-  [Dependency(Dependency = "HeuristicLab.Selection")]
-  [Dependency(Dependency = "HeuristicLab.Random")]
+  [ClassInfo(Name = "HeuristicLab.StructureIdentification-3.2")]
+  [PluginFile(Filename = "HeuristicLab.StructureIdentification-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Constraints-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.DataAnalysis-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Functions-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Selection-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Random-3.2")]
   public class HeuristicLabStructureIdentificationPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj
===================================================================
--- /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.TestFunctions/HeuristicLab.TestFunctions.csproj	(revision 582)
@@ -10,5 +10,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.TestFunctions</RootNamespace>
-    <AssemblyName>HeuristicLab.TestFunctions</AssemblyName>
+    <AssemblyName>HeuristicLab.TestFunctions-3.2</AssemblyName>
     <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -32,5 +32,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <DocumentationFile>bin\Release\HeuristicLab.TestFunctions.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.TestFunctions-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -45,5 +45,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.TestFunctions.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.TestFunctions-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.TestFunctions/HeuristicLabTestFunctionsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.TestFunctions/HeuristicLabTestFunctionsPlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.TestFunctions/HeuristicLabTestFunctionsPlugin.cs	(revision 582)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.TestFunctions {
-  [ClassInfo(Name = "HeuristicLab.TestFunctions")]
-  [PluginFile(Filename = "HeuristicLab.TestFunctions.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
-  [Dependency(Dependency = "HeuristicLab.Data")]
-  [Dependency(Dependency = "HeuristicLab.Operators")]
+  [ClassInfo(Name = "HeuristicLab.TestFunctions-3.2")]
+  [PluginFile(Filename = "HeuristicLab.TestFunctions-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Data-3.2")]
+  [Dependency(Dependency = "HeuristicLab.Operators-3.2")]
   public class HeuristicLabTestFunctionsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj	(revision 581)
+++ /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLab.ThreadParallelEngine.csproj	(revision 582)
@@ -9,5 +9,5 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>HeuristicLab.ThreadParallelEngine</RootNamespace>
-    <AssemblyName>HeuristicLab.ThreadParallelEngine</AssemblyName>
+    <AssemblyName>HeuristicLab.ThreadParallelEngine-3.2</AssemblyName>
     <SignAssembly>true</SignAssembly>
     <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
@@ -35,5 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
-    <DocumentationFile>bin\Release\HeuristicLab.ThreadParallelEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.ThreadParallelEngine-3.2.XML</DocumentationFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
@@ -48,5 +48,5 @@
     <OutputPath>bin\x86\Release\</OutputPath>
     <DefineConstants>TRACE</DefineConstants>
-    <DocumentationFile>bin\Release\HeuristicLab.ThreadParallelEngine.XML</DocumentationFile>
+    <DocumentationFile>bin\Release\HeuristicLab.ThreadParallelEngine-3.2.XML</DocumentationFile>
     <Optimize>true</Optimize>
     <DebugType>pdbonly</DebugType>
Index: /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLabThreadParallelEnginePlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLabThreadParallelEnginePlugin.cs	(revision 581)
+++ /trunk/sources/HeuristicLab.ThreadParallelEngine/HeuristicLabThreadParallelEnginePlugin.cs	(revision 582)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.ThreadParallelEngine {
-  [ClassInfo(Name = "HeuristicLab.ThreadParallelEngine")]
-  [PluginFile(Filename = "HeuristicLab.ThreadParallelEngine.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Core")]
+  [ClassInfo(Name = "HeuristicLab.ThreadParallelEngine-3.2")]
+  [PluginFile(Filename = "HeuristicLab.ThreadParallelEngine-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
   public class HeuristicLabThreadParallelEnginePlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 581)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 582)
@@ -6,47 +6,47 @@
 mkdir plugins\temp
 mkdir plugins\backup
-copy %1\HeuristicLab.AdvancedOptimizationFrontend\%2\HeuristicLab.AdvancedOptimizationFrontend.dll .\plugins
+copy %1\HeuristicLab.AdvancedOptimizationFrontend\%2\HeuristicLab.AdvancedOptimizationFrontend-3.2.dll .\plugins
 copy %1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll .\plugins
 copy %1\HeuristicLab.AdvancedOptimizationFrontend\"WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
-copy %1\HeuristicLab.BitVector\%2\HeuristicLab.BitVector.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Charting\%2\HeuristicLab.CEDMA.Charting.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Core\%2\HeuristicLab.CEDMA.Core.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB\%2\HeuristicLab.CEDMA.DB.dll .\plugins
+copy %1\HeuristicLab.BitVector\%2\HeuristicLab.BitVector-3.2.dll .\plugins
+copy %1\HeuristicLab.CEDMA.Charting\%2\HeuristicLab.CEDMA.Charting-3.2.dll .\plugins
+copy %1\HeuristicLab.CEDMA.Core\%2\HeuristicLab.CEDMA.Core-3.2.dll .\plugins
+copy %1\HeuristicLab.CEDMA.DB\%2\HeuristicLab.CEDMA.DB-3.2.dll .\plugins
 copy %1\HeuristicLab.CEDMA.DB\%2\SemWeb.SqliteStore.dll .\plugins
 copy %1\HeuristicLab.CEDMA.DB\%2\SemWeb.dll .\plugins
-copy %1\HeuristicLab.CEDMA.DB.Interfaces\%2\HeuristicLab.CEDMA.DB.Interfaces.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Operators\%2\HeuristicLab.CEDMA.Operators.dll .\plugins
-copy %1\HeuristicLab.CEDMA.Server\%2\HeuristicLab.CEDMA.Server.dll .\plugins
-copy %1\HeuristicLab.Charting\%2\HeuristicLab.Charting.dll .\plugins
-copy %1\HeuristicLab.Charting.Data\%2\HeuristicLab.Charting.Data.dll .\plugins
-copy %1\HeuristicLab.Core\%2\HeuristicLab.Core.dll .\plugins
-copy %1\HeuristicLab.Constraints\%2\HeuristicLab.Constraints.dll .\plugins
-copy %1\HeuristicLab.Data\%2\HeuristicLab.Data.dll .\plugins
-copy %1\HeuristicLab.DataAnalysis\%2\HeuristicLab.DataAnalysis.dll .\plugins
-copy %1\HeuristicLab.DistributedEngine\%2\HeuristicLab.DistributedEngine.dll .\plugins
-copy %1\HeuristicLab.Evolutionary\%2\HeuristicLab.Evolutionary.dll .\plugins
-copy %1\HeuristicLab.Functions\%2\HeuristicLab.Functions.dll .\plugins
-copy %1\HeuristicLab.Grid\%2\HeuristicLab.Grid.dll .\plugins
-copy %1\HeuristicLab.Logging\%2\HeuristicLab.Logging.dll .\plugins
-copy %1\HeuristicLab.Operators\%2\HeuristicLab.Operators.dll .\plugins
-copy %1\HeuristicLab.Operators.Metaprogramming\%2\HeuristicLab.Operators.Metaprogramming.dll .\plugins
-copy %1\HeuristicLab.Operators.Programmable\%2\HeuristicLab.Operators.Programmable.dll .\plugins
-copy %1\HeuristicLab.Operators.Stopwatch\%2\HeuristicLab.Operators.Stopwatch.dll .\plugins
-copy %1\HeuristicLab.OptimizationFrontend\%2\HeuristicLab.OptimizationFrontend.dll .\plugins
-copy %1\HeuristicLab.Permutation\%2\HeuristicLab.Permutation.dll .\plugins
-copy %1\HeuristicLab.Random\%2\HeuristicLab.Random.dll .\plugins
-copy %1\HeuristicLab.RealVector\%2\HeuristicLab.RealVector.dll .\plugins
-copy %1\HeuristicLab.Routing.TSP\%2\HeuristicLab.Routing.TSP.dll .\plugins
-copy %1\HeuristicLab.Scheduling.JSSP\%2\HeuristicLab.Scheduling.JSSP.dll .\plugins
-copy %1\HeuristicLab.Selection\%2\HeuristicLab.Selection.dll .\plugins
-copy %1\HeuristicLab.Selection.OffspringSelection\%2\HeuristicLab.Selection.OffspringSelection.dll .\plugins
-copy %1\HeuristicLab.SequentialEngine\%2\HeuristicLab.SequentialEngine.dll .\plugins
-copy %1\HeuristicLab.SGA\%2\HeuristicLab.SGA.dll .\plugins
-copy %1\HeuristicLab.SQLite\%2\HeuristicLab.SQLite.dll .\plugins
+copy %1\HeuristicLab.CEDMA.DB.Interfaces\%2\HeuristicLab.CEDMA.DB.Interfaces-3.2.dll .\plugins
+copy %1\HeuristicLab.CEDMA.Operators\%2\HeuristicLab.CEDMA.Operators-3.2.dll .\plugins
+copy %1\HeuristicLab.CEDMA.Server\%2\HeuristicLab.CEDMA.Server-3.2.dll .\plugins
+copy %1\HeuristicLab.Charting\%2\HeuristicLab.Charting-3.2.dll .\plugins
+copy %1\HeuristicLab.Charting.Data\%2\HeuristicLab.Charting.Data-3.2.dll .\plugins
+copy %1\HeuristicLab.Core\%2\HeuristicLab.Core-3.2.dll .\plugins
+copy %1\HeuristicLab.Constraints\%2\HeuristicLab.Constraints-3.2.dll .\plugins
+copy %1\HeuristicLab.Data\%2\HeuristicLab.Data-3.2.dll .\plugins
+copy %1\HeuristicLab.DataAnalysis\%2\HeuristicLab.DataAnalysis-3.2.dll .\plugins
+copy %1\HeuristicLab.DistributedEngine\%2\HeuristicLab.DistributedEngine-3.2.dll .\plugins
+copy %1\HeuristicLab.Evolutionary\%2\HeuristicLab.Evolutionary-3.2.dll .\plugins
+copy %1\HeuristicLab.Functions\%2\HeuristicLab.Functions-3.2.dll .\plugins
+copy %1\HeuristicLab.Grid\%2\HeuristicLab.Grid-3.2.dll .\plugins
+copy %1\HeuristicLab.Logging\%2\HeuristicLab.Logging-3.2.dll .\plugins
+copy %1\HeuristicLab.Operators\%2\HeuristicLab.Operators-3.2.dll .\plugins
+copy %1\HeuristicLab.Operators.Metaprogramming\%2\HeuristicLab.Operators.Metaprogramming-3.2.dll .\plugins
+copy %1\HeuristicLab.Operators.Programmable\%2\HeuristicLab.Operators.Programmable-3.2.dll .\plugins
+copy %1\HeuristicLab.Operators.Stopwatch\%2\HeuristicLab.Operators.Stopwatch-3.2.dll .\plugins
+copy %1\HeuristicLab.OptimizationFrontend\%2\HeuristicLab.OptimizationFrontend-3.2.dll .\plugins
+copy %1\HeuristicLab.Permutation\%2\HeuristicLab.Permutation-3.2.dll .\plugins
+copy %1\HeuristicLab.Random\%2\HeuristicLab.Random-3.2.dll .\plugins
+copy %1\HeuristicLab.RealVector\%2\HeuristicLab.RealVector-3.2.dll .\plugins
+copy %1\HeuristicLab.Routing.TSP\%2\HeuristicLab.Routing.TSP-3.2.dll .\plugins
+copy %1\HeuristicLab.Scheduling.JSSP\%2\HeuristicLab.Scheduling.JSSP-3.2.dll .\plugins
+copy %1\HeuristicLab.Selection\%2\HeuristicLab.Selection-3.2.dll .\plugins
+copy %1\HeuristicLab.Selection.OffspringSelection\%2\HeuristicLab.Selection.OffspringSelection-3.2.dll .\plugins
+copy %1\HeuristicLab.SequentialEngine\%2\HeuristicLab.SequentialEngine-3.2.dll .\plugins
+copy %1\HeuristicLab.SGA\%2\HeuristicLab.SGA-3.2.dll .\plugins
+copy %1\HeuristicLab.SQLite\%2\HeuristicLab.SQLite-3.2.dll .\plugins
 copy %1\HeuristicLab.SQLite\System.Data.SQLite.dll .\plugins
 copy %1\HeuristicLab.SQLite\"SQLite License.txt" .\plugins
 copy %1\HeuristicLab.SQLite\SQLite.NET.chm .\plugins
-copy %1\HeuristicLab.StructureIdentification\%2\HeuristicLab.StructureIdentification.dll .\plugins
-copy %1\HeuristicLab.TestFunctions\%2\HeuristicLab.TestFunctions.dll .\plugins
-copy %1\HeuristicLab.ThreadParallelEngine\%2\HeuristicLab.ThreadParallelEngine.dll .\plugins
-copy %1\HeuristicLab.ES\%2\HeuristicLab.ES.dll .\plugins
+copy %1\HeuristicLab.StructureIdentification\%2\HeuristicLab.StructureIdentification-3.2.dll .\plugins
+copy %1\HeuristicLab.TestFunctions\%2\HeuristicLab.TestFunctions-3.2.dll .\plugins
+copy %1\HeuristicLab.ThreadParallelEngine\%2\HeuristicLab.ThreadParallelEngine-3.2.dll .\plugins
+copy %1\HeuristicLab.ES\%2\HeuristicLab.ES-3.2.dll .\plugins
